function buttontransposeBLA(hObject, eventdata, Empty_Button, Buttons, AxesRAW, AxesZLF, DataText, ZerolineText)
data = get(Empty_Button,'UserData');

if data.isdata == 0
    return;
end

data.isbd = 0;
data.iscut = 0;
data.iszlf = 0;
data.iszla = 0;
data.nobd = 0;
data.xbd = [];
data.ibd = [];

plot(AxesZLF,1,0,'w');

set(ZerolineText(6), 'String', 'none', 'ForegroundColor','r');

onoffButton(Buttons,[],3:7);

temp = data.xraw;
data.Draw = data.Draw';
data.xraw = data.traw;
data.traw = temp;

data.D = data.Draw;
data.x = data.xraw;
data.t = data.traw;

plot(AxesRAW,data.x,data.D','k');
axis(AxesRAW,'tight');
yl = get(AxesRAW,'ylim');
yl = [min(0,yl(1)), yl(2)*1.1];
set(AxesRAW,'ylim',yl);
xlabel(AxesRAW,'channel');
hold(AxesRAW, 'off');

data.yl = yl;

set(DataText(3), 'String', num2str(size(data.D,1)));
set(DataText(5), 'String', num2str(size(data.D,2)));

set(Empty_Button,'UserData',data);
